libvisio::VSDRelEllipticalArcTo Class Reference documentation

Public Member Functions | Public Attributes | List of all members
libvisio::VSDRelEllipticalArcTo Class Reference
Inheritance diagram for libvisio::VSDRelEllipticalArcTo:

## Public Member Functions
| VSDRelEllipticalArcTo (unsigned id, unsigned level, const boost::optional< double > &x3, const boost::optional< double > &y3, const boost::optional< double > &x2, const boost::optional< double > &y2, const boost::optional< double > &angle, const boost::optional< double > &ecc)
| ~VSDRelEllipticalArcTo () override
void | handle (VSDCollector *collector) const override
VSDGeometryListElement * | clone () override
Public Member Functions inherited from libvisio::VSDGeometryListElement
| VSDGeometryListElement (unsigned id, unsigned level)
virtual | ~VSDGeometryListElement ()
virtual unsigned | getDataID () const
void | setLevel (unsigned level)

## Public Attributes
double | m_x3
double | m_y3
double | m_x2
double | m_y2
double | m_angle
double | m_ecc

## Additional Inherited Members
Protected Attributes inherited from libvisio::VSDGeometryListElement
unsigned | m_id
unsigned | m_level

## Constructor & Destructor Documentation

## ◆ VSDRelEllipticalArcTo()

libvisio::VSDRelEllipticalArcTo::VSDRelEllipticalArcTo | ( | unsigned | id,
|  | unsigned | level,
|  | const boost::optional< double > & | x3,
|  | const boost::optional< double > & | y3,
|  | const boost::optional< double > & | x2,
|  | const boost::optional< double > & | y2,
|  | const boost::optional< double > & | angle,
|  | const boost::optional< double > & | ecc
| ) |  |
| inline

## ◆ ~VSDRelEllipticalArcTo()

libvisio::VSDRelEllipticalArcTo::~VSDRelEllipticalArcTo | ( |  | ) |
| inlineoverride

## Member Function Documentation

## ◆ clone()

libvisio::VSDGeometryListElement * libvisio::VSDRelEllipticalArcTo::clone | ( |  | ) |
| overridevirtual

Implements libvisio::VSDGeometryListElement.

## ◆ handle()

void libvisio::VSDRelEllipticalArcTo::handle | ( | VSDCollector * | collector | ) | const
| overridevirtual

Implements libvisio::VSDGeometryListElement.

## Member Data Documentation

## ◆ m_angle

double libvisio::VSDRelEllipticalArcTo::m_angle

Referenced by libvisio::VSDGeometryList::addRelEllipticalArcTo().

## ◆ m_ecc

double libvisio::VSDRelEllipticalArcTo::m_ecc

Referenced by libvisio::VSDGeometryList::addRelEllipticalArcTo().

## ◆ m_x2

double libvisio::VSDRelEllipticalArcTo::m_x2

Referenced by libvisio::VSDGeometryList::addRelEllipticalArcTo().

## ◆ m_x3

double libvisio::VSDRelEllipticalArcTo::m_x3

Referenced by libvisio::VSDGeometryList::addRelEllipticalArcTo().

## ◆ m_y2

double libvisio::VSDRelEllipticalArcTo::m_y2

Referenced by libvisio::VSDGeometryList::addRelEllipticalArcTo().

## ◆ m_y3

double libvisio::VSDRelEllipticalArcTo::m_y3

Referenced by libvisio::VSDGeometryList::addRelEllipticalArcTo().

The documentation for this class was generated from the following file:

- VSDGeometryList.cpp